Delete a template
Delete a template.
DELETE
https://app.usenotix.dev/api/v1/templates/{templateId}Needs a full access key. Sending access keys cannot call this. Key permissions lists the extra rules some calls have.
Delete a template. Emails already sent from it are unaffected.
Path parameters
templateIdstringrequired
Headers
Authorizationstringrequired
Bearer followed by your API key.
curl -X DELETE "https://app.usenotix.dev/api/v1/templates/<templateId>" \
-H "Authorization: Bearer $NOTIX_API_KEY"
import { Notix } from "notix-js";
const notix = new Notix(process.env.NOTIX_API_KEY);
const { data, error } = await notix.templates.delete("tpl_123");
Response200
{
"id": "cm1x8f3k20001qz7v5b9d2e4a",
"success": true,
"message": "string"
}